import hashlib
import json
from glob import glob
import pathlib

def calc_hash(filename):
    with open(filename, 'rb') as f:
        data = f.read()
        hash = hashlib.sha256(data).hexdigest()
    return hash


trans = pathlib.Path('transcribtions')
files = list(glob(f'transcribtions/**/*.json', recursive=True))
for f in files:
    f_fixed = pathlib.Path(f.replace('%20', ' '))
    audio_path = pathlib.Path('all_books')/f_fixed.relative_to(trans).with_suffix('.mp3')
    h = calc_hash(audio_path)
    f = pathlib.Path(f)
    tr = json.load(open(f, 'r'))
    tr_fixed = []
    for t in tr:
        if t["type"] == "word":
            tr_fixed.append(t)
    json.dump(tr_fixed, open('narizaka/'+(h+'.json'), 'w'), ensure_ascii=False, indent=4)
